//M3A1 Grease Gun P3d Mod version 1.0 by Dragunovska
//CONTACT: dragunovska@excite.com
//WEB: http://svdaddons.cjb.net
// some basic defines
#define TEast 1
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class SVDm3a1
	{
		units[] = {SVDm3a1SR};
		weapons[] = {SVDm3a1};
		requiredVersion = 1.01;
	};
};
class CfgWeapons
{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};
	class HK: Riffle {};
        
        class SVDm3a1: HK
	{
		displayName = M3A1 Grease Gun;
		displayNameMagazine = M3A1;
		shortNameMagazine = M3A1;

		scopeWeapon=public;
		scopeMagazine=public;
		model="\SVDm3a1\SVDm3a1.p3d";
		modelOptics="optika_ak47";
		picture="\SVDm3a1\w_m3a1.paa";
		optics=true;
		opticsZoomMin=0.40;
		opticsZoomMax=0.40;
                reloadMagazineSound[]={"\SVDm3a1\m3a1rl.wav",0.010316,1};
                magazines[]={"M3a1Mag"};
		modes[]={"Single","FullAuto"};

		class Single
		{
			ammo="BulletSingleW";
			multiplier=1;
			burst=1;

			displayName="M3A1 Semi";

			dispersion=0.002000;
			sound[]={"\SVDm3a1\m3a1.wav",db0,1};
			soundContinuous=0;
			reloadTime=0.150000;
			ffCount=1;
			recoil="riffleSingle";
			autoFire=0;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
		class Burst
		{
			ammo="BulletBurstW";
			multiplier=1;
			burst=3;

			displayName="M3A1 Burst";

			dispersion=0.002600;
			sound[]={"\SVDm3a1\m3a1.wav",db0,1};
			soundContinuous=0;
			reloadTime=0.100000;
			ffCount=3;
			recoil="riffleBurst3";
			autoFire=0;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
		class FullAuto
		{
			ammo="BulletFullAutoW";
			multiplier=1;
			burst=1;

			displayName="M3A1 Auto";

			dispersion=0.004000;
			sound[]={"\SVDm3a1\m3a1.wav",db0,1};
			soundContinuous=0;
			reloadTime=0.100000;
			ffCount=30;
			recoil="riffleBurst3";
			autoFire=1;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
};
                 class m3a1Mag:  SVDm3a1
	{
		 scopeWeapon=0;
		 scopeMagazine=2;
		 displayNameMagazine="M3a1 Mag";
		 shortNameMagazine="M3a1";
		 picture="\SVDm3a1\m_m3a1.paa";
        };
};
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};

	class SVDm3a1SR: SoldierWB
	{
	displayName="Soldier (M3A1 Grease Gun)";
	weapons[]={"SVDm3a1","Binocular","Throw","Put"};
	magazines[]={M3a1Mag,M3a1Mag,M3a1Mag,M3a1Mag,M3a1Mag,M3a1Mag,HandGrenade,HandGrenade,HandGrenade,HandGrenade};
	};
};
class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxySVDm3a1: ProxyWeapon {};
};